#
# spec file for package compiz (Version 0.7.8)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:           compiz
BuildRequires:  Mesa-devel
BuildRequires:  freeglut-devel
BuildRequires:  fuse-devel
BuildRequires:  gcc-c++
BuildRequires:  gconf2-devel
BuildRequires:  gnome-desktop-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
%if 0%{suse_version} < 01120
BuildRequires:  kdebase3-devel
BuildRequires:  kdelibs3-devel
%endif
BuildRequires:  librsvg-devel
BuildRequires:  libwnck-devel
BuildRequires:  libxslt-devel
BuildRequires:  metacity
BuildRequires:  pango-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel
%if "%_repository" == "SUSE_Linux_10.1" || "%_repository" == "SLE_10"
BuildRequires:  xorg-x11-compat70-devel
%endif
%if 0%{suse_version} >= 01021
BuildRequires:  metacity-devel
%endif
%if 0%{suse_version} > 01030
BuildRequires:  gnome-control-center-devel
%endif
Vendor:		linkat
####
#
# KDE4 Extension disabled for openSUSE 11.2, due to incompatibility
# with KDE 4.3 that makes the kde4-decorator crash. This has been
# fixed already in Compiz 0.8.2, which is too far from 
# our package for a proper / tested backport at this time.
# Disabled by dimstar@opensuse.org
#
%if 0%{suse_version} == 01030 || 0%{suse_version} > 1120
BuildRequires:  kde4-kwin
BuildRequires:  kdebase4-workspace-devel
BuildRequires:  libkde4-devel
%endif
%if 0%{suse_version} <= 01030
BuildRequires:  control-center2-devel
%endif
%if 0%{suse_version} >= 01120
BuildRequires:  libgnome-window-settings-devel
BuildRequires:  libgnomeui-devel
%endif
License:        GPL v2 or later ; LGPL v2.1 or later ; MIT License (or similar)
Url:            http://www.compiz.org
Group:          System/GUI/Other
PreReq:         %fillup_prereq
%if 0%{suse_version} <= 01100
Enhances:       xgl >= git_070104
%endif
Version:        0.7.8
Release:        43.1
Summary:        OpenGL window and compositing manager
# To be nuked: MesaLib, patch60 $mesagl
Source:         compiz-%version.tar.bz2
Source1:        MesaLib-6.5.2.tar.bz2
Source2:        gnome-xgl-settings-0.9.tar.gz
Source3:        opensuse.png
Source4:        compiz-decorator
Source5:        sle.png
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch:          compiz-java-config-notify.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch1:         compiz-default-settings.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch4:         compiz-ldpreload-indirect.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch5:         compiz-no-focus-prevention-for-windows-without-decorations.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch6:         compiz-scale-mode-toggle-1.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch8:         compiz-core-default-plugins.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch9:         compiz-kde4-decorator-rollback.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch10:        compiz-kde4-paint-fix.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch11:        compiz-missing-translations.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch12:        compiz-kde4-decorator-update.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch13:        kde-auto-comp.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch29:        gnome-xgl-settings-remove-gconf.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch36:        gnome-xgl-settings-hwinfo-primary-display-bno335445.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch60:        Mesa-x86_64-fixes.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch61:        compiz-place-fix-bnc442052.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch62:        bug-449168-avoid-independent-output-painting.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch63:        bug-474862-allow-moving-focus-to-fs-window.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch64:        bug-475349-moveInputFocusToOtherWindow.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch65:        compiz-dmx-ignore-glx.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch80:        compiz-0.7.8-NOMAD.diff
# PATCH-FIX-UPSTREAM compiz-metacity-private.patch bnc#481519 dominique-obs@leuenberger.net -- Fix missing window decoration with newer metacity private (taken from upstream git)
Patch81:        compiz-metacity-private.patch
# PATCH-FIX-UPSTREAM compiz-gconf_includes.patch dimstar@opensuse.org -- gtk/gnome is missing -I for the gconf2 headers.
Patch82:        compiz-gconf_includes.patch
Requires:       compiz-branding = %{version}
Requires:       compiz-decorator = %{version}
Provides:       windowmanager
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ppc ppc64 ia64
%if "%(xft-config --prefix)" == "/usr"
%define xorg_prefix %{_prefix}
%else
%define xorg_prefix %{_prefix}/X11R6
%endif
%define gnome_prefix %(pkg-config --variable=prefix gnome-desktop-2.0)
%if "%gnome_prefix" == "/usr"
%define gnome_etc /etc
%else
%define gnome_etc /etc%gnome_prefix
%endif
%define kde_prefix %(kde-config --prefix)
%gconf_schemas_prereq

%description
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

%package gnome
License:        GPL v2 or later ; MIT License (or similar)
Summary:        OpenGL window and compositing manager configuration utilities
Group:          System/GUI/GNOME
Requires:       %name = %version
Requires:       3ddiag
Requires:       freeglut
Requires:       gnome-desktop
Requires:       pciutils
%if 0%{suse_version} <= 01100
Requires:       xgl-hardware-list >= 060526
%endif
Requires:       metacity >= 2.15.1
%if 0%{suse_version} > 01030
Requires:       gnome-control-center
%endif
%if 0%{suse_version} <= 01030
Requires:       control-center2
%endif
Provides:       compiz-decorator = %version
Vendor:		linkat

%description gnome
This package contains Gnome based configuration utilities for the
Compiz compositing manager.

%if 0%{suse_version} < 01120

%package kde
License:        GPL v2 or later ; MIT License (or similar)
Summary:        OpenGL window and compositing managerdecorator
Group:          System/GUI/KDE
Requires:       %name = %version
Provides:       compiz-decorator = %version
Vendor:		linkat

%description kde
This package contains the KDE window decorator for the Compiz
compositing manager.
%endif

%package kde4
License:        GPL v2 or later ; LGPL v2.1 or later ; MIT License (or similar)
Summary:        OpenGL window and compositing managerdecorator for kde4
Group:          System/GUI/KDE
Requires:       %name = %version
Requires:       kde4-kwin
Recommends:     simple-ccsm-kde4
Provides:       compiz-decorator = %version
Vendor:		linkat

%description kde4
This package contains the KDE4 window decorator for the Compiz
compositing manager.

%package devel
License:        GPL v2 or later ; LGPL v2.1 or later ; MIT License (or similar)
Summary:        OpenGL window and compositing manager
Group:          System/GUI/Other
Requires:       %name = %version
Requires:       Mesa-devel
Requires:       freeglut-devel
Requires:       fuse-devel
Requires:       gcc-c++
Requires:       gconf2-devel
Requires:       gtk2-devel
Requires:       intltool
%if 0%{suse_version} < 01120
Requires:       kdebase3-devel
Requires:       kdelibs3-devel
%endif
Requires:       librsvg-devel
Requires:       libwnck-devel
Requires:       libxml2-devel
Requires:       libxslt-devel
Requires:       metacity-devel
Requires:       pango-devel
Requires:       perl-XML-Parser
Requires:       startup-notification-devel
Requires:       update-desktop-files
Requires:       xorg-x11-devel
%if 0%{suse_version} > 01030
Requires:       gnome-control-center-devel
%endif
%if 0%{suse_version} <= 01030
Requires:       control-center2-devel
%endif
Vendor:		linkat

%description devel
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

%package branding-Linkat
License:        GPL v2 or later ; LGPL v2.1 or later ; MIT License (or similar)
Summary:        OpenGL window and compositing manager
Group:          System/GUI/Other
PreReq:         /bin/ln
PreReq:         /bin/rm
Requires:       %name = %version
Supplements:    packageand(branding-openSUSE:compiz)
Provides:       compiz-branding = %version
Vendor:		linkat

%description branding-Linkat
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

%package branding-SLE
License:        GPL v2 or later ; LGPL v2.1 or later ; MIT License (or similar)
Summary:        OpenGL window and compositing manager
Group:          System/GUI/Other
PreReq:         /bin/ln
PreReq:         /bin/rm
Requires:       %name = %version
Supplements:    packageand(branding-SLED:compiz)
Provides:       compiz-branding = %version
Vendor:		linkat

%description branding-SLE
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

%package branding-upstream
License:        GPL v2 or later ; LGPL v2.1 or later ; MIT License (or similar)
Summary:        OpenGL window and compositing manager
Group:          System/GUI/Other
PreReq:         /bin/ln
PreReq:         /bin/rm
Requires:       %name = %version
Supplements:    packageand(branding-upstream:compiz)
Provides:       compiz-branding = %version
Vendor:		linkat

%description branding-upstream
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

%prep
%setup -q -c -n %name -T -a 0
cd compiz-*
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch -p1
%patch1 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%if 0%{suse_version} <= 01100
%patch9 -p1
%patch10 -p1
%endif
%patch11 -p1
if [ -f /usr/include/plasma/framesvg.h ] ; then
%patch12 -p1
fi
%patch13 -p1
#%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
cd -

%build
#
##### Mesa
#
#if [ -f /usr/%{_lib}/libIndirectGL.so.1 ] ; then
if /bin/true ; then
  mesagl="--prefix=%{_prefix}"
else
  echo 1>&2 ""
  echo 1>&2 "###########################################################"
  echo 1>&2 "Building with statically linked Mesa for indirect rendering"
  echo 1>&2 "###########################################################"
  echo 1>&2 ""
  pushd Mesa-*
  ln -snf linux-indirect-static configs/current
  make	EXTRA_LIB_PATH=-L%xorg_prefix/%{_lib}				\
	LIB_DIR=%{_lib}							\
	ARCH_FLAGS="-fno-strict-aliasing %{optflags}"
  popd
  mesagl="--with-gl-libs=`echo %_builddir/compiz/Mesa-*/%{_lib}/libGL.a` -L%xorg_prefix/%{_lib} -lX11 -lXext -lXxf86vm -pthread -ldrm"
fi
#
##### compiz
#
pushd compiz-*
autoreconf -fi
%configure \
        --disable-static \
        --with-pic \
        --sysconfdir=%gnome_etc \
        --disable-schemas-install \
%if 0%{suse_version} < 01120
        QTLIB=%{_prefix}/lib/qt3/%{_lib} \
%else
	--disable-kde \
%endif
        "$mesagl"
make %{?jobs:-j%jobs} CFLAGS="%{optflags}"
if [ ! -f /usr/%{_lib}/libIndirectGL.so.1 ] ; then
#  sed -i -e "s@$mesagl@@g" compiz.pc
:
fi
popd

%install
pushd compiz-*
%makeinstall
#remove locale data as it is not required anymore, translations are merged in .xml and .schemas
rm -r %{buildroot}%{_datadir}/locale
popd
install -d -m 755 %{buildroot}%xorg_prefix
install -d -m 755 %{buildroot}%{_localstatedir}/adm/fillup-templates
find %{buildroot} -type f -name '*.la' -delete -print
install -m 444 %_sourcedir/opensuse.png %{buildroot}%{_datadir}/compiz/
install -m 444 %_sourcedir/sle.png %{buildroot}%{_datadir}/compiz/
install -m 755 %_sourcedir/compiz-decorator %{buildroot}%{_bindir}/
%find_gconf_schemas
touch %name.schemas_pre %name.schemas_preun %name.schemas_posttrans %name.schemas_list

%pre -f %name.schemas_pre

%preun -f %name.schemas_preun

%post -p /sbin/ldconfig

%post -n compiz-branding-Linkat
/bin/ln -sf /usr/share/compiz/opensuse.png /usr/share/compiz/cube-image.png

%post -n compiz-branding-SLE
/bin/ln -sf /usr/share/compiz/sle.png /usr/share/compiz/cube-image.png

%post -n compiz-branding-upstream
/bin/ln -sf /usr/share/compiz/freedesktop.png /usr/share/compiz/cube-image.png

%postun -p /sbin/ldconfig

%postun -n  compiz-branding-Linkat
if [ -f /usr/share/compiz/cube-image.png ]; then
    rm /usr/share/compiz/cube-image.png || true
fi

%postun -n compiz-branding-SLE
if [ -f /usr/share/compiz/cube-image.png ]; then
    rm /usr/share/compiz/cube-image.png || true
fi

%postun -n compiz-branding-upstream
if [ -f /usr/share/compiz/cube-image.png ]; then
    rm /usr/share/compiz/cube-image.png || true
fi

%posttrans -f %name.schemas_posttrans

%clean
%__rm -rf %{buildroot}

%files -f %name.schemas_list
%defattr(-, root, root)
%{_bindir}/compiz
%{_bindir}/compiz-decorator
%{_libdir}/libdecoration.so.*
%dir %{_libdir}/compiz
%{_libdir}/compiz/libannotate.so
%{_libdir}/compiz/libblur.so
%{_libdir}/compiz/libclone.so
%{_libdir}/compiz/libcube.so
%{_libdir}/compiz/libdbus.so
%{_libdir}/compiz/libdecoration.so
%{_libdir}/compiz/libfade.so
%{_libdir}/compiz/libfs.so
%{_libdir}/compiz/libglx.so
%{_libdir}/compiz/libini.so
%{_libdir}/compiz/libinotify.so
%{_libdir}/compiz/libminimize.so
%{_libdir}/compiz/libmove.so
%{_libdir}/compiz/libobs.so
%{_libdir}/compiz/libplace.so
%{_libdir}/compiz/libpng.so
%{_libdir}/compiz/libregex.so
%{_libdir}/compiz/libresize.so
%{_libdir}/compiz/librotate.so
%{_libdir}/compiz/libscale.so
%{_libdir}/compiz/libscreenshot.so
%{_libdir}/compiz/libswitcher.so
%{_libdir}/compiz/libvideo.so
%{_libdir}/compiz/libwater.so
%{_libdir}/compiz/libwm.so
%{_libdir}/compiz/libwobbly.so
%{_libdir}/compiz/libzoom.so
%dir %{_datadir}/compiz
%{_datadir}/compiz/icon.png
%{_datadir}/compiz/*.xml

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libdecoration.so
%dir %{_includedir}/compiz
%{_includedir}/compiz/*.h
%{_datadir}/compiz/*.xslt

%files gnome
%defattr(-, root, root)
%{_bindir}/gtk-window-decorator
%{_libdir}/compiz/libglib.so
%{_libdir}/compiz/libgconf.so
%{_libdir}/compiz/libsvg.so
%gnome_prefix/%{_lib}/window-manager-settings/libcompiz*
#%if 0%{suse_version} > 01100
#%dir %gnome_prefix/share/gnome/wm-properties
#%endif
%gnome_prefix/share/gnome/wm-properties/compiz.desktop
%if "%gnome_prefix" != "/usr"
%gnome_etc/gconf/schemas/*.schemas
%endif
%if 0%{suse_version} >= 01021
%dir %gnome_prefix/share/gnome-control-center/keybindings/
%gnome_prefix/share/gnome-control-center/keybindings/*
%endif
%if 0%{suse_version} < 01120

%files kde
%defattr(-, root, root)
%{_bindir}/kde-window-decorator
%{_libdir}/compiz/libkconfig.so
%kde_prefix/share/config/compizrc
%kde_prefix/share/config.kcfg/compiz-*
%endif
%if 0%{suse_version} == 01030 || 0%{suse_version} > 1120

%files kde4
%defattr(-, root, root)
%{_bindir}/kde4-window-decorator
%endif

%files branding-Linkat
%defattr(-, root, root)
%{_datadir}/compiz/opensuse.png

%files branding-SLE
%defattr(-, root, root)
%{_datadir}/compiz/sle.png

%files branding-upstream
%defattr(-, root, root)
%{_datadir}/compiz/freedesktop.png

%changelog
* Wed Mar 24 2010 dlara@espherica.com
- Changed opensuse icon with Linkat icon
* Tue Oct 20 2009 dimstar@opensuse.org
- Disable KDE4 Packages at least on openSUSE 11.2 due to
  incompatibility between compiz 0.7.8 and KDE 4.3, bnc#545324,
  bnc#545747.
* Sun Oct  4 2009 aj@suse.de
- Require libxslt-devel and libxml-devel for devel package.
* Tue Sep 29 2009 aj@suse.de
- Disable kde3 for openSUSE 11.2.
* Wed Sep 23 2009 aj@suse.de
- Add new openSUSE logo for compiz (file opensuse.png), bnc#540516.
* Mon Sep  7 2009 dimstar@opensuse.org
- Add compiz-gconf_includes.patch to fix compilation with missing
  - I/usr/include/gconf/2 CFLAGS.
- Clean spec file using spec_cleaner.
* Wed Aug 19 2009 dominique-obs@leuenberger.net
- The -devel package requires startup-notification-devel in plus.
- BuildRequire libgnome-window-settings-devel on openSUSE 11.2
  and newer.
- Add compiz-metacity-private.patch, fixes bnc#481519
- Add gnome-desktop-devel BuildRequires
* Fri May  8 2009 davidr@novell.com
- Fix texture allocation that caused compiz to crash when
  using some applications (e.g. googleearth) (bnc#502416)
* Fri Apr 17 2009 crrodriguez@suse.de
- use --disable-static
* Thu Apr  9 2009 vuntz@novell.com
- Review changes.
* Sun Mar 29 2009 cyberorg@opensuse.org
- add branding-upstream (bnc#490018)
* Sun Mar  8 2009 cyberorg@opensuse.org
- Fix post for branding packages
* Fri Feb 27 2009 davidr@novell.com
- Fix remote WM detection. (bnc#480181)
* Fri Feb 27 2009 davidr@novell.com
- Improve bug-475349-moveInputFocusToOtherWindow.diff. (bnc#480088)
* Thu Feb 26 2009 davidr@novell.com
- Have dbus plugin register plugin options properly. (bnc#480007)
* Thu Feb 26 2009 davidr@novell.com
- Fix gconf plugin. (bnc#479749)
* Wed Feb 25 2009 davidr@novell.com
- Never use the libgl fallback for server vendor DMX. (bnc#479303)
- Never allow glx plugin to load for server vendor DMX. (bnc#479303)
* Thu Feb 12 2009 davidr@novell.com
- Don't lose input focus when closing active window. (bnc#475349)
* Wed Feb 11 2009 davidr@novell.com
- Fix regression in position constraints fix. (bnc#474594)
* Wed Feb 11 2009 davidr@novell.com
- Allow input focus to be moved properly to fullscreen
  windows. (bnc#474862)
* Wed Feb 11 2009 davidr@novell.com
- Fix position constraints when moving unmanaged window.
  (bnc#474594)
* Wed Feb 11 2009 ro@suse.de
- add libgnomeui-devel to buildrequires
* Mon Feb  9 2009 davidr@novell.com
- Fix broken handling reparented windows. (bnc#474096)
- Avoid possible freeze when closing rdesktop. (bnc#474086)
- Make sure window has a parent before handling unmap
  notify event. (bnc#474090)
* Fri Feb  6 2009 davidr@novell.com
- Avoid independent output painting. (bnc#449168)
* Tue Feb  3 2009 davidr@novell.com
- Have KDE decorators use automatic compositing when
  manual compositing failed. (bnc#472146)
* Sat Jan 31 2009 davidr@novell.com
- Fix root window clipping issue. (bnc#470020)
* Fri Jan 30 2009 davidr@novell.com
- Fix critical issue with some windows being added twice during
  startup. (bnc#440799)
* Thu Jan 29 2009 davidr@novell.com
- Properly handle viewport paint offsets. (bnc#437576)
* Wed Jan 28 2009 davidr@novell.com
- Make sure screen edges are created before they are first
  used. (bnc#444449)
* Wed Jan 28 2009 davidr@novell.com
- Acquire compositing manager selection before window manager
  selection. This seems to avoid issues with how metacity is
  giving up the owner selections and makes compiz properly
  replace metacity with compositing enabled. (bnc#470039)
* Tue Jan 27 2009 davidr@novell.com
- Fix window resize issue that could cause a crash. (bnc#466802)
* Fri Jan 23 2009 davidr@novell.com
- Add walkDepthFirst function. (bnc#468433)
* Wed Jan 21 2009 cyberorg@opensuse.org
- Fix build for newer kde4
* Fri Jan  9 2009 davidr@novell.com
- Fix decorator double click handling when window movement
  is intercepted at the compositing manager level. (bnc 458000)
* Wed Jan  7 2009 davidr@novell.com
- Fix root window resize problem. (bnc 462650)
- Include place plugin fix in NOMAD patch.
* Tue Dec 23 2008 davidr@novell.com
- Fix place plugin issue. (bnc 442052)
* Thu Dec  4 2008 davidr@novell.com
- Allow decoration property to be of any type so we're
  not breaking backward compatibility. (bnc 431846)
- Fix major issue in handling of WM_TRANSIENT_FOR and
  WM_CLIENT_LEADER hints. (bnc 443819)
- Fix client message forwarding bug.
- Fix focus issue when moving non top-level windows.
* Thu Dec  4 2008 coolo@suse.de
- fix prereqs for the branding packages
* Mon Dec  1 2008 rodrigo@novell.com
- Add supplements for branding packages
* Mon Dec  1 2008 davidr@novell.com
- Fix unnecessary breakage of libdecoration API.
* Sun Nov 30 2008 davidr@novell.com
- Fix one more clipping issue in the NOMAD patch.
* Fri Nov 28 2008 cyberorg@opensuse.org
- Add missing translations
  http://bugs.opencompositing.org/show_bug.cgi?id=1081
* Thu Nov 27 2008 rodrigo@novell.com
- Added %%version to Provides for compiz-branding
* Wed Nov 26 2008 davidr@novell.com
- Fix another nasty clipping issue when drawing
  non top-level windows.
- Fix compositing manager window movement of unmanaged
  windows.
* Wed Nov 26 2008 rodrigo@novell.com
- Added -branding-openSUSE and branding-SLE subpackages (bnc#432649)
- Make compiz require compiz-branding virtual package
- Use 'cube-image' as the name of the image to use in
  compiz-default-settings.diff
- Review latest changes
* Wed Nov 26 2008 cyberorg@opensuse.org
- Fix ABI version
* Fri Nov 21 2008 davidr@novell.com
- Add missing ABI version bump to NOMAD patch.
* Fri Nov 21 2008 davidr@novell.com
- Fix decorator starting issue.
* Fri Nov 21 2008 davidr@novell.com
- Update compiz-ldpreload-indirect.diff so it doesn't break
  Xdmx support.
* Wed Nov 19 2008 davidr@novell.com
- Fix bug that caused wobbly plugin to crash.
* Tue Nov 18 2008 davidr@novell.com
- Add another minor clippig fix to NOMAD patch.
- Add background drawing fix to NOMAD patch.
- Add input only window handling fix to NOMAD patch.
* Sun Nov 16 2008 davidr@novell.com
- Add fixes for wobbly non top-level window support to
  NOMAD patch.
- Add obs plugin non top-level window fixes to NOMAD patch.
- Add cube plugin non top-level window opacity fix to
  NOMAD patch.
- Fix window damage issues in NOMAD patch.
- Add scale plugin non top-level window fixes to NOMAD patch.
- Add water plugin non top-level window fixes to NOMAD patch.
- Add scale plugin thumbnail drawing fix to NOMAD patch.
- Add switcher plugin non top-level window fixes to NOMAD patch.
* Fri Nov 14 2008 davidr@novell.com
- Fix a number of clipping issues in NOMAD patch.
- Add non top-level window movement fix to NOMAD patch.
- Add fix for wobbly effect when sub windows are
  involved to NOMAD patch.
* Thu Oct 30 2008 rodrigo@novell.com
- Add Provides: windowmanager as stated in bnc#440195 for other
  window managers
* Sun Oct 12 2008 davidr@novell.com
- Fix serious memory leak in NOMAD patch.
* Thu Oct  9 2008 rodrigo@novell.com
- Updated NOMAD patches from David Reveman
* Tue Oct  7 2008 rodrigo@novell.com
- Review and merge changes from X11:Compiz
* Tue Oct  7 2008 cyberorg@opensuse.org
- remove old patch
* Mon Oct  6 2008 rodrigo@novell.com
- Review and merge changes from X11:Compiz
* Sat Oct  4 2008 cyberorg@opensuse.org
- Fix fallback wm, fixes bnc #432327
* Mon Sep 29 2008 rodrigo@novell.com
- Review and merge changes from X11:Compiz
* Fri Sep 19 2008 cyberorg@opensuse.org
- use rectangle mode for performance bnc #390776
- use transparent cube on rotation
- rename compiz-default-gconf-settings.diff to compiz-default-settings.diff
* Wed Sep 17 2008 cyberorg@opensuse.org
- 0.7.8 release
- New plugin "obs" that handles opacity, brightness
  and saturation bindings and matches.
- Put unresponsive window greyout, including options
  to configure it, to fade plugin.
- Add "constant fade time" fade mode to fade plugin.
- Enhanced timer infrastructure
- Added matching for window's alpha channel (match type rgba=[0|1]).
- Reflect new Metacity "spacer" button type in gtk-window-decorator.
- Various bugfixes.
- Recommends simple-ccsm-kde4
* Mon Sep 15 2008 cyberorg@opensuse.org
- Changes for new animation plugin reorganization
- l10n updates
- Improve focus stealing prevention.
- Limit number of damage rects in one screen repaint.
- Improved handling of the "process killer" process.
- Adapt patches to the latest code
* Wed Sep 10 2008 davidr@novell.com
- Include NOMAD changes with support for non top-level window
  compositing.
* Thu Jul 31 2008 mhopf@suse.de
- Update from buildservice
* Mon Jul 28 2008 ro@suse.de
- remove xgl dependencies for > 11.0
* Mon Jul 28 2008 cyberorg@opensuse.org
- fix patching of kde4
* Tue Jul  1 2008 mhopf@suse.de
- Cleanup of no longer used patches.
- Add compile support for kde 4.1, courtesy of Dirk Mueller.
* Tue Jun 24 2008 dmueller@suse.de
- remove unnecessary linking of (disappeared) plasma lib (bnc#400088)
* Wed Jun 18 2008 cyberorg@opensuse.org
- Add patch compiz-kde4-unlink-plasma.diff
* Wed Jun 18 2008 cyberorg@opensuse.org
- kde4 paint fix patch
* Sat May 31 2008 cyberorg@opensuse.org
- Rewrite of place plugin, which significantly improves multi-output
  behaviour.
- Configurable multi-output behaviour in place.
- Removed plane plugin. Former plane plugin users are encouraged to use
  the wall plugin of Compiz Fusion.
- Removed cube wallpaper painting. Users are encouraged to use the Compiz
  Fusion wallpaper plugin instead.
- Place plugin viewport placement viewport numbers are now 1-based.
- Panel and desktop selection mode in switcher plugin.
- Improved painting behaviour when using overlapping outputs.
- Gtk-window-decorator now emits accessibility events when switching.
- Gtk-window-decorator behaviour when using Metacity themes has been
  improved to match Metacity better.
- KDE4-window-decorator has been adapted to current KDE4 API.
- Various bugfixes.
* Mon May 26 2008 rodrigo@suse.de
- Changed compiz-decorator to try KDE4 window decorator before
  KDE3 one
* Tue May 20 2008 rodrigo@suse.de
- Added compiz-fix-sm.diff from llunak@novell.com
* Mon May 12 2008 schwab@suse.de
- Work around broken Qt configuration.
* Mon May  5 2008 cyberorg@opensuse.org
- Fix compiz-decorator to start kde4-window-decorator properly
* Wed Apr 30 2008 rodrigo@suse.de
- Added compiz-blur-buffer-overflow-fix.diff to increase first pass
  shader buffer, to fix buffer overflows with gaussian shader from
  cyberorg@opensuse.org in the X11:XGL build service repository
* Mon Apr 28 2008 cyberorg@opensuse.org
- Fix *control-center* deps
* Tue Apr 22 2008 rodrigo@suse.de
- Disable gnome-xgl-settings, its functionality is now provided
  in simple-ccsm.
- Depend on gnome-control-center*, not control-center2
* Mon Apr 14 2008 mhopf@suse.de
- Update from buildservice.
* Thu Apr  3 2008 cyberorg@cyberorg.info
- 0.7.4 release
- remove compiz-prepend-core-to-gconf.diff as proper fix is applied upstream
- Configurable handling of overlapping output devices.
- Enhanced focus stealing prevention with configurable amount of focus
  stealing prevention.
- Added configurable, optional delay for edge actions to prevent
  accidential invocation.
- Generalized vertex system to improve plugin compatibility.
- Optimized gaussian blur shaders to support more hardware.
- Improved unredirection of fullscreen windows.
- Several bugfixes.
- Translation updates.
* Fri Mar 28 2008 cyberorg@cyberorg.info
- Add compiz-prepend-core-to-gconf.diff from Guillaume Seguin.
* Wed Mar 19 2008 mhopf@suse.de
- exec'ing decorator in compiz-decorator.
- Redirecting in/out of director from/to /dev/null.
- Updated compiz-core-default-plugins.diff to fix strange bug WRT gconf.
* Wed Mar 19 2008 mhopf@suse.de
- Rewrote libIndirectGL patch to really support AIGLX and Xgl on all cards.
* Fri Mar 14 2008 cyberorg@cyberorg.info
- add default plugins to load if gconf is used
* Fri Mar 14 2008 cyberorg@cyberorg.info
- remove kde4-kwin version requirement, as 4.0.6 is available in unstable repo only
* Wed Mar 12 2008 mhopf@suse.de
- Fixed compilation problem
- Disabled possibility to build with static Mesa.
* Wed Mar 12 2008 cyberorg@cyberorg.info
- start decorator in initScreen patch from onestone's commit
- gnome-xgl-settings-remove-gconf.diff cleanup from Rodrigo
- minor modification to compiz-decorator add x in variables
* Fri Mar  7 2008 cyberorg@cyberorg.info
- Many small fixes in compiz-decorator
- add proper fallback decorator if no default available (patch from crdlb)
* Fri Mar  7 2008 cyberorg@cyberorg.info
- 0.7.2 development release
- Several bugfixes
- Translation support in gtk-window-decorator.
- Updated translations.
- Full session save/restore in a plugin.
* Fri Feb  8 2008 cyberorg@cyberorg.info
- 0.7.0 development release
- move svg plugin to -gnome package due to librsvg dep
- add compiz-decorator script to start decorator according to DE
- multi-display support
- kde4-window-decorator
- Added mouse wheel handling to g-w-d
* Wed Jan 30 2008 dreveman@suse.de
- Better RANDR support.
* Tue Dec  4 2007 cyberorg@cyberorg.info
- sync to latest git
- many bug fixes including kwd fixes
- back to action system used in 0.5.2
- kconfig plugin back in this release
* Tue Oct 30 2007 btimothy@suse.de
- Fix gnome-xgl-info to parse the primary vga controller
  properly when mulitple devices are outputted from
  `hwinfo --gfxcard`.  Also fixes leading zero problem
  with device indexes.  #335445
* Fri Oct 19 2007 cyberorg@cyberorg.info
- Update to version 0.6.2
- Remove settings tabs from gnome-xgl-settings, it launches ccsm now
- Support for automatically starting one decorator per screen.
- various stacking problem fixes.
- Fixes for various focus issues.
- Minor other bug fixes.
- kconfig plugin no in this version
* Thu Sep  6 2007 dreveman@suse.de
- Fix plugin load crash in gnome-xgl-settings. #296701
* Mon Aug 27 2007 cyberorg@cyberorg.info
- Apply compiz-prepend-glib-gconf-to-plugins-list.diff,
  prevent gconf unload if compiz launched with gconf.
- Apply compiz-disable-xcb-support.diff to build on 10.2
* Wed Aug 22 2007 mhopf@suse.de
- Fix strict aliasing issue in gnome-xgl-settings (#241515).
- Removed -fno-strict-aliasing (except for Mesa where necessary).
* Wed Aug 22 2007 cyberorg@cyberorg.info
- Add %%post and %%postun to run ldconfig- shut rpmlint up
- Fix config.kcfg installation
* Mon Aug 20 2007 dreveman@suse.de
- Update to compiz 0.5.4, which include proper KDE
  configuration support and fixes to a number of upstream
  bugs, including #258390.
- Track changes to compiz in gnome-xgl-settings and fix issue
  that caused it to crash. (#296701)
- Move gconf plugin into compiz-gnome package.
* Tue Aug 14 2007 cyberorg@cyberorg.info
- Fix Requires for -devel package
* Tue Aug  7 2007 cyberorg@cyberorg.info
- Make gnome-xgl-switch and gnome-xgl-info install in proper place
- clean up spec file
* Mon Aug  6 2007 dreveman@suse.de
- Update gnome-xgl-settings so it works with compiz 0.5.2.
- Fix schemas install.
- Make sure the key-bindings dir exist.
* Fri Aug  3 2007 dreveman@suse.de
- Update to compiz 0.5.2.
* Tue Jul 17 2007 mhopf@suse.de
- Fix specfile.
* Mon Jul 16 2007 mhopf@suse.de
- Updated to latest git version (0.5.1_git_xxx) to make compiz compile against
  new libwnck.
- New schema system.
- Moved gnome-xgl-info and gnome-xgl-switch back to main package (always
  needed, and no gnome needed, despite the name).
- gnome-xgl-info and gnome-xgl-switch reside in /usr/bin now.
- Cleanup of developer files.
* Tue May 15 2007 dmueller@suse.de
- move gtk-window-decorator and its requirements to -gnome
- make it possible to install compiz-kde without requiring compiz-gnome
* Mon Apr 23 2007 mhopf@suse.de
- Don't tell users to enale 24bit before they're even running the right
  driver (#266157).
* Thu Apr 12 2007 mhopf@suse.de
- Added autoconf check for Fuse version.
- Added test for XFixes version.
- Added missing include.
- Testing for 1021 instead of 1030 for metacity-devel.
* Wed Apr 11 2007 mhopf@suse.de
- Updated to 0.5.0:
- Remove stencil buffer requirement.
- Focus stealing prevention support.
- Blur plugin that provide support for blurring windows and contents behind
  translucent windows.
- Fragment attribute interface that allow plugins to perform more advanced
  fragment shading effects and integrate properly with other plugins.
- Extensible window matching interface and new option type that provide
  advanced window selection functionality.
- Plugin that provide a composited video interface for efficient video
  playback.
- FUSE plugin that maps compiz options to a file-system and allow efficient
  manipulation of options by reading and writing files.
- Better occlusion detection and more efficient rendering.
- Flat file configuration backend.
* Wed Mar 28 2007 mhopf@suse.de
- Removed temporary workaround.
- Revoked requirement change.
* Tue Mar 27 2007 cyberorg@cyberorg.info
- Move metacity requirement from compiz to compiz-gnome package.
* Tue Mar 20 2007 mhopf@suse.de
- Update to 0.4.0
- Additional patches, compare SLE10-SP1 version.
- More translations.
- Major cleanup.
- Removed no longer needed compiz-broken-Mesa-decl.diff (Mesa update).
- Commented temporary workaround for libpanel-applet-2.la dependency
  (#256134).
* Tue Mar 20 2007 danw@suse.de
- Add xgl-settings-246659-hwinfo.patch from sle10-sp. #255939
* Tue Mar 20 2007 mhopf@suse.de
- Minor cleanup.
* Mon Mar 19 2007 pgajdos@suse.cz
- gconf scriptlets, use %%find_lang, dependiences
* Wed Mar 14 2007 pgajdos@suse.cz
- fixed: gconf scriptlets, use %%find_lang, dependiences
* Tue Mar 13 2007 pgajdos@suse.cz
- fixed: 'warning: array subscript is above array bounds'
- array-subscript.patch
* Fri Mar  2 2007 mhopf@suse.de
- Update %%setup to be more compatible (#249998).
* Fri Mar  2 2007 mhopf@suse.de
- Re-add metacity support (metacity-devel needed for suse >= 10.3)
- Fixed loading of libIndirectGL on x86-64 (#249411)
* Thu Feb  8 2007 aj@suse.de
- Add defattr.
- Add requires for devel package.
- Add -fno-strict-aliasing.
* Fri Feb  2 2007 mhopf@suse.de
- Don't build and link statically against local Mesa any longer,
  if libIndirectGL is available. (#234154)
* Fri Feb  2 2007 mhopf@suse.de
- Update gnome-xgl-settings tarball:
  - incorporate earlier patches
  - fix detection in machines with multiple video cards (#177818)
  - always provide link to wiki (#187799)
  - don't complain about very large monitors (#238303)
  - update icon (#240419)
* Thu Feb  1 2007 mhopf@suse.de
- Update to compiz 0.3.7 as in SLE10-SP1
- Include new logo for gnome-xgl-settings. #236822
* Mon Jan 22 2007 jpr@suse.de
- Make transluceny and other options work in the settings dialog
  (#235542)
- More default setting fixes for compiz (#236541)
* Fri Jan 19 2007 mhopf@suse.de
- Fix upgrade path for gnome: PreReq (Andreas Hanke) #236350.
- Fix upgrade path for gnome: gnome-xgl-settings #235177.
* Wed Jan 17 2007 mhopf@suse.de
- Fixed MD5 warning message #207624.
* Fri Jan 12 2007 mhopf@suse.de
- Added support for changing gnome main directory to /usr.
- Nuked no longer working SL10.0 support.
- Moved kde-window-decorator to own subpackage.
- Using non-system names for user macros.
* Sat Jan  6 2007 cyberorg@cyberorg.info
- Add missing kde-window-decorator
* Fri Jan  5 2007 mhopf@suse.de
- Update to 0.3.6.
- Update of Mesa to 6.5.2.
- Creating Mesa linux-indirect-static config dynamically now.
- More cleanup of spec file.
- Updated default plugins.
* Tue Dec 19 2006 mhopf@suse.de
- Fix AllocAndFetchScreenConfigs in Mesa, should work with XCB now. #222882
- More cleanup of specfile.
- Added changelog to spec file once again.
* Tue Dec 19 2006 mhopf@suse.de
- Added glfinish patch. Works well on i915 again. #222677
* Fri Nov 24 2006 mhopf@suse.de
- Remove libGL.a dependency in pkgconfig file.
* Thu Nov 23 2006 mhopf@suse.de
- Don't remove gwd.schemas, but install it.
* Wed Nov 22 2006 mhopf@suse.de
- updated to 0.3.4
* Fri Nov 17 2006 mhopf@suse.de
- Cleaned up spec file (Thanks to Jigish Gohil <jigish.gohil@gmail.com>).
- Added -devel package.
* Tue Nov 14 2006 mhopf@suse.de
- updated to 0.3.2
* Mon Nov 13 2006 dreveman@suse.de
- Fix support for _NET_MOVERESIZE_WINDOW. #220114
* Tue Oct 31 2006 dreveman@suse.de
- Add opensuse logo and use it by default instead of the
  freedesktop logo.
* Tue Oct 31 2006 danw@suse.de
- Add freeglut dependency to compiz-gnome. #210940. Also move
  the 3ddiag and xgl-hardware-list dependencies from compiz to
  compiz-gnome and add pciutils (for lspci)
* Fri Oct 27 2006 dreveman@suse.de
- Some missing options have been added to compiz.schemas.in.
- A typo that caused the prev_all option in switcher plugin
  to not work has been fixed.
- Max texture size and the maximium size that should be used
  for windows are now calculated more properly. (188297)
- Support for_NET_WM_STATE_DEMANDS_ATTENTION hint has been
  fixed. (197233)
- Support for WM_TAKE_FOCUS hint has been fixed. (213074)
- Default value for active_plugins in compiz.schemas.in has
  been fixed.
- Automatic launching of gtk-window-decorator has been fixed.
* Fri Oct 13 2006 dreveman@suse.de
- Update to version 0.2 of compiz. New plugins: dbus, screenshot
  and plane. Metacity theme support.
* Thu Oct 12 2006 danw@suse.de
- Quick fix to make gnome-xgl-settings work again with the latest
  libglade.
* Fri Sep 15 2006 danw@suse.de
- Update to gnome-xgl-settings 0.7, incorporating previous
  patches plus a new-and-improved sax2 path to fix #202051
* Thu Sep 14 2006 stbinner@suse.de
- move gnome-xgl-info and gnome-xgl-switch to base rpm (#191183)
- add check to gnome-xgl-switch for gdm-safe-restart (#191183)
- adapt gnome-xgl-switch to new SuSEconfig.kdm path (#205260)
- add missing dependency on 3ddiag package (#205246)
- make compiz-gnome depend on compiz base package (#191183)
* Tue Aug 29 2006 stbinner@suse.de
- split on GNOME depending parts into -gnome subpackage (#191183)
* Sun Aug  6 2006 cthiel@suse.de
- fix build with X.org 7.1
* Fri Jul 28 2006 dreveman@suse.de
- Fix lotus client issue with compiz configuring windows before
  being managed. bnc 195409.
- Motif hint update to work around lotus client issue. bnc 195409.
- Scale algorithm update to make lotus client windows not show up
  in top left corner. bnc 195409.
* Thu Jun 29 2006 mhopf@suse.de
- Added patch for compiling against broken GLX_EXT_texture_from_pixmap
  declaration in Mesa's glx.h
* Wed Jun 21 2006 dreveman@suse.de
- Protect against circular transient dependencies. (bnc 186825)
- Constrain window dimensions if they are too large.
* Tue Jun 20 2006 danw@suse.de
- Fix a mistranslation and a typo in de.po (186618)
- Add "Desktop Effects" to the po files where we have a translation
  for "Desktop Effects:", to properly localize the capplet in the
  control center. (179463)
- Break some very long lines in translations, fix a padding bug that
  didn't show up with the English strings, remove a sizing hack
  that causes the window to keep growing wider forever in zh_CN and
  zh_TW.
* Tue Jun 20 2006 dreveman@suse.de
- Trap errors correctly when getting motif hints. (bnc 185852)
* Mon Jun 19 2006 danw@suse.de
- Add additional translations from localization team
* Mon Jun 19 2006 dreveman@suse.de
- Use xkb state events to determine if modifier keys are released.
  (bnc 184483)
* Fri Jun 16 2006 dreveman@suse.de
- Handle motif WM hints correctly. (bnc 185852)
- Add modal dialogs to window types that should be in switcher
  and scale mode. (bnc 185749)
* Thu Jun 15 2006 dreveman@suse.de
- Fix highlighting of window buttons. (bnc 185293)
- Add --replace option to gnome-window-decorator. (bnc 185296)
- Fix dependency issue with switcher plugin. (bnc 183676)
* Fri Jun  9 2006 danw@suse.de
- Add translations
* Fri Jun  9 2006 dreveman@suse.de
- Allow windows to be both maximized and shaded. (bnc 182063)
* Fri Jun  9 2006 dreveman@suse.de
- Constrain window geometry in configure requests correctly.
  (bnc 183121)
- Add window shading. (bnc 182063)
* Thu Jun  8 2006 dreveman@suse.de
- Fix issue with switcher window sometimes not being visible.
  (bnc 182519)
* Thu Jun  8 2006 dreveman@suse.de
- Add default move and resize key-bindings. (bnc 181273)
- Fix positioning of fullscreen windows. (bnc 181907)
- Fix major performance issue. (bnc 181909)
- Fix issue that could cause compiz to crash. (bnc 182430)
* Mon Jun  5 2006 danw@suse.de
- If installing proprietary drivers fails, send the user to the
  wiki, not sax (181228). If the card is unrecognized but has
  recommended drivers, install them (180986).
* Fri Jun  2 2006 dreveman@suse.de
- Don't show fallback name in titlebar. (bnc 173059)
- Fix keyboard movement issues. (bnc 179902)
- Fix clipping issue with switcher. (bnc 179828)
- Disable skydome animation while cube is unfolded. (bnc 179833)
- Save initial viewport when startup notification is received.
  (bnc 180224)
- Add hide_skip_taskbar_windows option. (bnc 180055)
- Set _NET_WM_DESKTOP on all windows to 0; KDE's pager and
  tasklist require this to be set. (bnc 178320)
- Hide tooltips on NotifyGrab. (bnc 180692)
- Include java window placement workaround. (bnc 151836)
* Fri May 26 2006 danw@suse.de
- Update gnome-xgl-settings to 0.6, fixing:
- Don't consider 3D to be configured unless it's configured with
  the right driver (#178906)
- Use zen-installer rather than zen-updater (#176553)
- Don't consider SaX2 to have failed if the user cancels it
  (ie, stay in the "you need to run sax" state, don't move to the
  "i give up, go look at the wiki" state). (#178902)
* Fri May 26 2006 dreveman@suse.de
- Task switcher (ALT-TAB) able to "show all" (bnc 173376)
- Fix so swicher doesn't eat keystrokes (bnc 177650)
- MSB byte order fix (bnc 178171)
- Fix keyboard navigation in scale plugin (bnc 178216)
- Don't add windows that appear after the switcher is popped up
  (bnc 178350)
- Add maximize_window_horizontally,
  maximize_window_vertically, toggle_window_maximized,
  toggle_window_maximized_horizontally,
  toggle_window_maximized_vertically bindings (bnc 178220)
- Fix window gravity issue (bnc 178765)
- Fix cube rendering issue (bnc 178233)
- Treat dock windows with below state as normal windows
  (bnc 178316)
- Make sloppy focus default in scale mode (bnc 174788)
* Sun May 21 2006 dreveman@suse.de
- Fix stacking and sync request issues. (bnc #173416)
- Fix shadow performance in g-w-d.
* Fri May 19 2006 danw@suse.de
- Patch compiz.schemas to turn off wobbly windows (bnc 176429)
- Update gnome-xgl-settings tarball, supporting new xgl-hardware-list
  format
- Fix Mesa build to use $RPM_OPT_FLAGS
* Fri May 19 2006 dreveman@suse.de
- Session management fix. (bnc #176746)
- Fix focus option in wobbly plugin.
- Allow use of larger window icons in switcher. (bnc #177044)
* Wed May 17 2006 joeshaw@suse.de
- Add patch to turn the audible bell off by default.  (bnc #176424)
* Wed May 17 2006 dreveman@suse.de
- New compiz snapshot, compiz-restart.diff no longer needed.
- Icon support in scale plugin. (bnc 174788)
- Fix key-bindings in scale plugin.
- Fix window position issue when transitioning to withdrawn state.
- Add "minimal" option to gnome-window-decorator so it can be used
  when running the login manager. (bnc 173901)
- Fix issue that caused switcher window to lose decorations
  when some window is unmapped.
* Wed May 17 2006 danw@suse.de
- Add compiz-restart.diff to make sure all pending MapRequest
  events are processed before compiz exits, to fix 175558
  (panel doesn't show up if you explicitly start compiz from
  gnome-session-properties).
- Update gnome-xgl-settings tarball to 0.5, incorporating
  xgl-settings-options.diff, adding code to run SaX2 in certain
  cases, syncing strings to the versions sent for translation,
  adding cube keybinding editors, and fixing the logout-request
  to explicitly request a logout rather than a reboot or shutdown.
* Sun May 14 2006 dreveman@suse.de
- Fix issue that caused some windows to not be unmapped
  correctly. Most noticeable on tooltips.
* Fri May 12 2006 dreveman@suse.de
- Make sure window is mapped when getting the window pixmap.
  (bnc 173248)
- Fix placement issues with maximized windows.
- Allow click on window decorations to trigger window action menu.
- Don't show window action menu on desktop and dock windows.
- Fix issue with unmaximizing initially maximized windows.
- Fix a server grab issue that could cause windows to get added
  twice.
- Handle North and West gravity correctly for ConfigureRequest.
- Fix some issues with moving windows into withdrawn state.
- Don't show windows that request to not be in tasklists in
  switcher.
- Only go into show desktop mode when some window is covering the
  desktop.
* Mon May  8 2006 danw@suse.de
- Add xgl-settings-options.diff to patch out some not-quite-working
  code in xgl-settings.
* Mon May  8 2006 dreveman@suse.de
- Audible and visual bell control. (bnc 163251)
- Change to Shift instead of Control for "move with snapping".
- Fix crash with handling of modal dialogs.
- Fix reparenting bug.
- Show icon and minimized windows in switcher. (bnc 168590)
* Sun May  7 2006 danw@suse.de
- Fix default scale activation corner (169423)
- Make compiz translatable
- Update xgl-settings tarball for compiz changes and to add
  "Advanced Options" page
* Wed May  3 2006 dreveman@suse.de
- Fix unminimize to maximized window. (bnc 171465)
- When a window is activated, move to cube side that contains the
  biggest part of the window. (bnc 152677)
- Don't constrain the cursor when moving and resizing. Fixes some
  issues with the maximize snap-off feature.
* Wed May  3 2006 dreveman@suse.de
- Fix major window stacking order bug.
- Make sure cube unfolds completely when using the unfold feature.
- Update to final enums for GLX_EXT_texture_from_pixmap.
- Fix ConfigureRequest handling. (bnc 171143)
* Mon May  1 2006 danw@suse.de
- Update xgl-settings tarball to latest version, for compiz 0.10
  and xgl-hardware-list 060501
* Sun Apr 30 2006 dreveman@suse.de
- Remove compiz-gconf.patch and compiz-schema.patch as they are
  no longer needed.
- Configurable drop-shadows.
- Made window decoration updates for switcher window more
  efficient.
- Fix issue that caused some animations to to stop.
- Fix so that we're leaving show desktop mode when all windows
  have been unminimized.
- Draging a maximized window down will snap-off from being
  maximized and moving it back up will maximize it again.
- Fix pointer warping.
- Add maximize effect to wobbly plugin.
- For the rotate-to-specific-face keys, rotate counterclockwise
  when that's faster.
- Fix so that rotate-to-specific-face works properly when use it
  before previous rotation is done.
- Add show-dektop key-binding.
- Add raise-on-click option.
- Made screen edges drag-and-drop aware so it's possible to drag
  from window one cube side to window on another cube side.
- Fix bring to front option in switcher.
- Add zoom option to switcher.
- Cube unfolding support.
- Don't decorate fullscreen windows.
* Tue Apr 25 2006 danw@suse.de
- Add compiz-gconf.patch to make it so plugins are actually loaded
  if you run with no previous compiz gconf keys set
* Tue Apr 25 2006 danw@suse.de
- Add xgl-settings-scale.patch to fix a crasher when the scale
  corner is disabled
* Mon Apr 24 2006 danw@suse.de
- Update to gnome-xgl-settings 0.2 and add it back to the build.
- Patch compiz.schemas to make the switcher/initiate binding
  clearer in gnome-keybinding-properties.
* Fri Apr 21 2006 dreveman@suse.de
- Add window menu binding.
- Default bindings now the same as metacity. Alt-Button2 for
  resizing and Alt-Button3 for window menu.
- Add force quit dialog.
- Add go-directly-to-cube-face bindings.
* Thu Apr 20 2006 dreveman@suse.de
- Fix infinite loop in gconf plugin.
- A lot of improvements to schema file.
- Fix for focusable panel applets.
- Better check if a newly-mapped window should be focused.
- Don't add decorations to previously-undecorated windows.
  (bnc 165393)
- Handle gravity for ConfigureRequests. (Fixes bnc 163058)
- Fix issue with resizing of windows with aspect ratio.
- Fix so that scale plugin can't be initiated when no windows are
  visible.
- Add support for automatic unredirecting of fullscreen windows.
  Allows fullscreen video without support for FBOs or pbuffers
  present.
- Fix offset that caused water plugin to crash when FBOs are not
  available.
- Support for PNGs on top face of cube.
- Novell logo on top face by default.
- Fix positioning of window buttons and only show appropriate
  buttons.
- Changed to "Pause" key for scale effect.
- Fix a crasher in the screenshot binding code.
- Fix issue that caused gnome-theme-manager to crash. (#165421)
- Fix modal dialog handling.
* Fri Apr  7 2006 danw@suse.de
- Patch in an improved schemas file (and a code patch to fix a bug
  it exposes) and remove the gconf-dump plugin. Also, after discussion
  with JP, remove gnome-xgl-switch, since it's sort of a cruel joke at
  this stage (it only helps you with the easy part of enabling Xgl, not
  the hard parts).
* Fri Apr  7 2006 dreveman@suse.de
- Changed default key-binding for scale plugin to F11.
- Fix darkenBack option in scale plugin.
- Don't start scale effect when some other plugin is running.
- Add flip_move option for only using edge flipping when moving
  windows.
- Fix schemas file. Patch no longer needed.
* Fri Apr  7 2006 dreveman@suse.de
- gconf schemas and key-binding work by Dan Winship and
  Radek Doulik.
- Support for screen edge flipping and hot corners.
* Thu Apr  6 2006 dreveman@suse.de
- Fix offset direction so that water looks better.
- Add offset scale option.
- Fix issue that cause wrong window to get focus when using
  "focus follow mouse".
- Add constrain_y option to move plugin so that acts more like
  metacity and doesn't allow you to move windows so that the
  titlebar is invisible.
- Workaround that fix a FBO/raster-position issue found on newer
  nvidia drivers.
* Mon Apr  3 2006 dreveman@suse.de
- Update to CVS version.
- Remove scissor workaround, now fixed in Mesa package.
- CopySubBufferMESA support.
- minimize/maximize/unmaximize key bindings.
- Add bindings for changing window opacity.
- Ambient and diffuse light is now fixed. Patch not needed.
- Better focus-follow-mouse support.
- Opacity, brightness and saturation options in switcher plugin.
- Handle window state changes correctly.
- "bring to front" option in switcher plugin.
- Added all mandatory SM client callbacks
- Add opacity option to scale plugin.
- Fix decorations on dialog windows.
- Add water plugin.
- Draw outline around window title text and buttons instead of
  small shadow.
- Fix mipmap filtering.
- Fix so that show desktop mode works properly.
- Move hidden windows on viewport changes.
- Fix so that minimize plugin can't leave windows in scaled state.
- Add "initiate all" option to switcher plugin.
- Fix typo that caused color parsing to be incomplete.
- Fix so that timeouts are not only triggered when we're idle.
- New Mesa package with CopySubBufferMESA support.
* Tue Mar 14 2006 mhopf@suse.de
- Workaround for main remaining issue in #157051:
  i815 does not render anything before setting a scissor region.
- Put window in withdrawn state when being unmapped. Should make it work
  better with KDE.
- Fixed ambient and diffuse light.
- Enabled building for x86_64 again.
- More cleanup of build script.
* Mon Mar 13 2006 jpr@suse.de
- Add simple configuration gui
* Fri Mar 10 2006 mhopf@suse.de
- CVS update to 2006-03-09
- copmiz update to 0.0.6:
  - Fix panel action issue
  - Fix issue with switcher and non-selectable window being active
  - Minimal session support
  - Fade plugin fixes
  - Skydome support
  - Better window stacking support
* Wed Mar  1 2006 dreveman@suse.de
- Ligthing support.
- Constrain window dimensions to max texture size.
- Nicer drop-shadow on windows without decorations.
- Add slow animations option which is very useful for debugging.
- Fixed various issues found when using slow animations option.
- Fixed bug that caused drawing errors and wrong placement of
  windows when being un-minimized.
* Thu Feb 23 2006 dreveman@suse.de
- Remove gnome-desktop and control-center2 dependencies.
- Fixed issue that caused some windows not to be decorated.
- Fixed bug in cube plugin that could cause compiz to crash.
- Added decorations to task switcher.
- Added key-binding for moving backwards in task switcher.
- Mipmap support in task switcher for much better looking
  thumbnails.
- Fixed issues in wobbly plugin that caused it to behave badly when
  used at the same time as scale plugin.
- Fixed window placement issue when going out of show desktop mode.
* Mon Feb 20 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 20 2006 dreveman@suse.de
- Fix drawing of cube with more than 4 sides.
- Tweak zoom plugin.
- Nearest filtering support in zoom plugin.
- Window placement fix.
- Input focus fixes.
- Fixed client list bug that caused libwnck to crash.
* Wed Feb 15 2006 dreveman@suse.de
- Handle clock rollbacks.
- Minor placement fix for window icons.
* Tue Feb 14 2006 jpr@suse.de
- fix BuildRequires so it builds again
* Mon Feb 13 2006 dreveman@suse.de
- Update to version 0.0.2.
- Modified mesa-glx-x11-texture-from-pixmap-1.patch so that glxproto.h
  with texture from pixmap enums is not required.
* Wed Feb  8 2006 dreveman@suse.de
- First non svn release of compiz.
* Sun Jan  8 2006 dreveman@suse.de
- Update to svn_104, build non thread safe mesa.
* Mon Dec 19 2005 dreveman@suse.de
- Update to svn_96.
* Thu Dec 15 2005 dreveman@suse.de
- Use Mesa 6.4.1 and some x86_64 fixes.
* Mon Dec 12 2005 dreveman@suse.de
- Fixed non-x86 build issue.
* Mon Dec 12 2005 dreveman@suse.de
- Window placement, cube color and display modal dialog fixes.
* Thu Dec  8 2005 dreveman@suse.de
- Better default key-bindings, fixed saturation and client pinging.
